Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: MON KEY <[email-masked]>
Date: Tue, 17 Aug 2010 19:47:22 -0400

> I think such a change is acceptable (although the motivation of
> multi-major-mode buffers might not be that compelling, since it
> tends to lead to the idea that most/all minor-modes should be made
> permanent-local), but we need a proper patch for it.

Thats potentially a lot of overlays to persist in buffers which:

- may not always be visible
- may be visible but don't need the linum minor-mode behaviour
  automatically persisted

Will such a change negatively impact redisplay elsewhere?
I ask because of this comment here from linum.el:

,----
|
| (add-hook 'window-configuration-change-hook
| 	  ;; FIXME: If the buffer is shown in N windows, this
| 	  ;; will be called N times rather than once.  We should use
| 	  ;; something like linum-update-window instead.
|  'linum-update-current nil t)
|
`----

Also, linum-mode activation already sets timers when linum-eager is
non-nil... will these timers now persist as well on major-mode
changes? If so how will they impact redisplay?

More concretely, how many (more) permanent-locals does Lennart need in
order to attain mumamo.el bliss?

And, while your giving permanent-locals away so freely can maybe you
spare a few for the slime guys?  Or the geiser/quack/scheme guys I'm
sure they could use some too... :-P

--
/s_P\